SDL_GamepadAxisEvent Struct Reference

`#include <SDL_events.h>`

## Data Fields

SDL_EventType | type
Uint32 | reserved
Uint64 | timestamp
SDL_JoystickID | which
Uint8 | axis
Uint8 | padding1
Uint8 | padding2
Uint8 | padding3
Sint16 | value
Uint16 | padding4

## Detailed Description

Gamepad axis motion event structure (event.gaxis.*)

Since
  This struct is available since SDL 3.2.0.

Definition at line 615 of file SDL_events.h.

## Field Documentation

## axis

Uint8 SDL_GamepadAxisEvent::axis

The gamepad axis (SDL_GamepadAxis)

Definition at line 621 of file SDL_events.h.

## padding1

Uint8 SDL_GamepadAxisEvent::padding1

Definition at line 622 of file SDL_events.h.

## padding2

Uint8 SDL_GamepadAxisEvent::padding2

Definition at line 623 of file SDL_events.h.

## padding3

Uint8 SDL_GamepadAxisEvent::padding3

Definition at line 624 of file SDL_events.h.

## padding4

Uint16 SDL_GamepadAxisEvent::padding4

Definition at line 626 of file SDL_events.h.

## reserved

Uint32 SDL_GamepadAxisEvent::reserved

Definition at line 618 of file SDL_events.h.

## timestamp

Uint64 SDL_GamepadAxisEvent::timestamp

In nanoseconds, populated using SDL_GetTicksNS()

Definition at line 619 of file SDL_events.h.

## type

SDL_EventType SDL_GamepadAxisEvent::type

SDL_EVENT_GAMEPAD_AXIS_MOTION

Definition at line 617 of file SDL_events.h.

## value

Sint16 SDL_GamepadAxisEvent::value

The axis value (range: -32768 to 32767)

Definition at line 625 of file SDL_events.h.

## which

SDL_JoystickID SDL_GamepadAxisEvent::which

The joystick instance id

Definition at line 620 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- SDL_events.h